apiVersion: v1
kind: Pod

metadata:
  name: grafana
  labels:
    app: grafana

spec:
  containers:
  # https://github.com/grafana/grafana/blob/main/Dockerfile
  - name: grafana
    image: grafana/grafana-oss:latest
    # TODO: Anything needed here? (ENTRYPOINT [ "/run.sh" ])
    # command:
    # - docker-entrypoint.sh
    env:
    - name: PATH
      value: /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
    - name: TERM
      value: xterm
    ports:
    - name: web
      containerPort: 3000
      hostPort: 3000
      protocol: TCP
    # TODO: Need to mount data so it isn't lost
    volumeMounts: {}
    # TODO: Try removing this
    resources: {}
    # TODO: Double-check the rest
    tty: true
    securityContext:
      allowPrivilegeEscalation: true
      privileged: false
      readOnlyRootFilesystem: false

  volumes: {}

status: {}
